Bug 161301 - alternate mouse button bindings for C-A-v menu
Summary: alternate mouse button bindings for C-A-v menu
Status: RESOLVED FIXED
Alias: None
Product: klipper
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Esben Mose Hansen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-26 14:10 UTC by Ben Martin
Modified: 2008-07-09 15:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
KDE 4.1 Beta 2 patch (1006 bytes, patch)
2008-07-07 04:58 UTC, Ben Martin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Martin 2008-04-26 14:10:28 UTC
Version:           0.9.7 (using KDE 3.5.9)
Installed from:    Fedora RPMs
OS:                Linux

Adding in a DCOP callable function makes binding the C-A-v menu possible with one of the extra buttons on these new fangled super mice. 

Using any key binder that can read the mouse button and a little script like this:
$ cat klipper-show-clipboard-menu.sh
#!/bin/bash
dcop klipper klipper showKlipperPopupMenu

Note that the button on the side of the Logitech mouse that I have can not be properly bound to C-A-v from klipper's settings. If the menu can be shown through dcop then it can be shown using whatever strange buttons/keys you have :) Perhaps the actual function name could change, I leave that up to your taste.


[kdebase-3.5.9]$ diff -Nuar klipper.original/toplevel.h klipper/toplevel.h 
--- klipper.original/toplevel.h 2006-03-17 20:17:30.000000000 +1000
+++ klipper/toplevel.h  2008-04-26 21:43:58.000000000 +1000
@@ -53,6 +53,7 @@
     void clearClipboardHistory();
     QStringList getClipboardHistoryMenu();
     QString getClipboardHistoryItem(int i);
+    void showKlipperPopupMenu();
 
 public:
     KlipperWidget( QWidget *parent, KConfig* config );
[kdebase-3.5.9]$ diff -Nuar klipper.original/toplevel.cpp klipper/toplevel.cpp
--- klipper.original/toplevel.cpp       2006-03-17 20:17:30.000000000 +1000
+++ klipper/toplevel.cpp        2008-04-26 21:44:36.000000000 +1000
@@ -605,6 +605,11 @@
 
 }
 
+void KlipperWidget::showKlipperPopupMenu() {
+    slotPopupMenu();
+}
+
+
 void KlipperWidget::slotPopupMenu() {
     KlipperPopup* popup = history()->popup();
     popup->ensureClean();
Comment 1 Ben Martin 2008-07-07 04:58:02 UTC
Created attachment 25891 [details]
KDE 4.1 Beta 2 patch
Comment 2 Lubos Lunak 2008-07-09 15:11:10 UTC
SVN commit 829976 by lunakl:

DBUS actions for invoking menu.
FEATURE: 161301



 M  +8 -0      klipper.cpp  
 M  +2 -0      klipper.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=829976